Imports System.Runtime.InteropServices
Imports AddinExpress.OL
Imports System.Windows.Forms
Imports System.Drawing

Public Class ADXOlForm1

    Public Sub New()
        MyBase.New()

        InitializeComponent()

        userControl.GetDPI = Function() DPI
        userControl.GetDPIFactor = Function() DPIFactor
    End Sub

    Protected Overrides Sub OnShown(e As System.EventArgs)
        MyBase.OnShown(e)
        UpdateControls()
    End Sub

    Private Sub UpdateControls()
        Icon = GetIcon()
        userControl.UpdateControls()
    End Sub

    Private Function GetIcon() As Drawing.Icon
        If DPI >= 192 Then Return Drawing.Icon.FromHandle(My.Resources.Images.adx_32.GetHicon()) Else Return Drawing.Icon.FromHandle(My.Resources.Images.adx_16.GetHicon())
    End Function

    Private Sub ADXExcelTaskPane1_ADXDPIChanged(sender As System.Object, e As ADXDPIChangedEventArgs) Handles MyBase.ADXDPIChanged
        userControl.UpdateDPI(Me, e.DPI, e.DPIFactor)
        UpdateControls()
    End Sub
End Class
